lvqtest {class} | R Documentation

## Classify Test Set from LVQ Codebook

### Description

Classify a test set by 1-NN from a specified LVQ codebook.

### Usage

    lvqtest(codebk, test)

### Arguments

`codebk` | codebook object returned by other LVQ software
`test` | matrix of test examples

### Details

Uses 1-NN to classify each test example against the codebook.

### Value

Factor of classification for each row of `x`

### References

Ripley, B. D. (1996) Pattern Recognition and Neural Networks. Cambridge.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`lvqinit`, `olvq1`

### Examples

    # The function is currently defined as
    function(codebk, test) knn1(codebk$x, test, codebk$cl)

[Package class version 7.3-3 Index]